## org.gnu.gtk.event
Class ScaleEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.ScaleEvent

All Implemented Interfaces:
  java.io.Serializable

public class ScaleEvent
extends GtkEvent

An event representing a request for formatting information for the label of a scale widget

See Also:
  `ScaleListener`, `Scale`, Serialized Form

Nested Class Summary
`static class` `ScaleEvent.Type`

Constructor Summary
`ScaleEvent(java.lang.Object source)` Creates a new Scale Event.

Method Summary
`boolean` `equals(ScaleEvent event2)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScaleEvent

    public ScaleEvent(java.lang.Object source)

  Creates a new Scale Event. This is used internally by java-gnome. Users only have to deal with listeners.

Method Detail

### equals

    public boolean equals(ScaleEvent event2)